using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;



namespace ZXDT.CallCenter.BLL
{
    public partial class ReportBLL
    {
        private readonly ZXDT.CallCenter.DAL.ReportDAL dal = new ZXDT.CallCenter.DAL.ReportDAL();

        public ReportBLL()
        { }

        /// <summary>
        /// 获取接通率数据
        /// </summary>
        /// <param name="StartDate">开始日期</param>
        /// <param name="EndDate">结束日期</param>
        /// <returns></returns>
        public DataTable GetOtherData1(string startDate, string endDate)
        {
            return dal.GetOtherData1(startDate, endDate);
        }

        /// <summary>
        /// 获取流失率数据
        /// </summary>
        /// <param name="StartDate">开始日期</param>
        /// <param name="EndDate">结束日期</param>
        /// <returns></returns>
        public DataTable GetOtherData2(string startDate, string endDate)
        {
            return dal.GetOtherData2(startDate, endDate);
        }

        /// <summary>
        /// 获取按时转出率数据
        /// </summary>
        /// <param name="StartDate">开始日期</param>
        /// <param name="EndDate">结束日期</param>
        /// <returns></returns>
        public DataTable GetOtherData3(string startDate, string endDate)
        {
            return dal.GetOtherData3(startDate, endDate);
        }

        /// <summary>
        /// 获取办结率
        /// </summary>
        /// <param name="StartDate">开始日期</param>
        /// <param name="EndDate">结束日期</param>
        /// <returns></returns>
        public DataTable GetOtherData4(string startDate, string endDate)
        {
            return dal.GetOtherData4(startDate, endDate);
        }

        /// <summary>
        /// 按时答复率
        /// </summary>
        /// <param name="StartDate">开始日期</param>
        /// <param name="EndDate">结束日期</param>
        /// <returns></returns>
        public DataTable GetOtherData5(string startDate, string endDate)
        {
            return dal.GetOtherData5(startDate, endDate);
        }


        /// <summary>
        /// 定责指标
        /// </summary>
        /// <param name="StartDate">开始日期</param>
        /// <param name="EndDate">结束日期</param>
        /// <returns></returns>
        public DataTable GetOtherData6(string startDate, string endDate)
        {
            return dal.GetOtherData6(startDate, endDate);
        }

        #region 定责类型统计报表
        /// <summary>
        /// 定责一级分类报表
        /// </summary>
        /// <param name="StartDate">开始日期</param>
        /// <param name="EndDate">结束日期</param>
        /// <returns></returns>
        public DataTable GetOtherData7(string startDate, string endDate)
        {
            return dal.GetOtherData7(startDate, endDate);
        }
        /// <summary>
        /// 定责二级分类报表
        /// </summary>
        /// <param name="StartDate">开始日期</param>
        /// <param name="EndDate">结束日期</param>
        /// <returns></returns>
        public DataTable GetOtherData8(string startDate, string endDate)
        {
            return dal.GetOtherData8(startDate, endDate);
        }
        /// <summary>
        /// 定责三级分类报表
        /// </summary>
        /// <param name="StartDate">开始日期</param>
        /// <param name="EndDate">结束日期</param>
        /// <returns></returns>
        public DataTable GetOtherData9(string startDate, string endDate)
        {
            return dal.GetOtherData9(startDate, endDate);
        }


        /// <summary>
        /// 首呼解决率
        /// </summary>
        /// <param name="StartDate">开始日期</param>
        /// <param name="EndDate">结束日期</param>
        /// <returns></returns>
        public DataTable GetOtherData10(string startDate, string endDate)
        {
            return dal.GetOtherData10(startDate, endDate);
        }
        #endregion

    }
}

